package com.steerinfo.meterwork.meterworkcompareresult.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="比对管理-数据维护")
public class MeterWorkCompareResult implements IBasePO<String> {
    /**
     * 比对记录表主键(COMPARE_RESULT_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="比对记录表主键",required=true)
    private String compareResultId;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,80)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 物料编码(MATTER_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="物料编码",required=true)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,80)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String matterName;

    /**
     * 计量类型编码(METER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量类型编码",required=false)
    private String meterTypeNo;

    /**
     * 计量类型名称(METER_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量类型名称",required=false)
    private String meterTypeName;

    /**
     * 比对车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="比对车号",required=false)
    private String carNo;

    /**
     * 计量重量(METER_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="计量重量",required=false)
    private BigDecimal meterWeight;

    /**
     * 允许偏差(WEIGHT_DIFF_ALLOW,DECIMAL,15)
     */
    @ApiModelProperty(value="允许偏差",required=false)
    private BigDecimal weightDiffAllow;

    /**
     * 比对重量(COMPARE_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="比对重量",required=false)
    private BigDecimal compareWeight;

    /**
     * 实际偏差(WEIGHT_DIFF_ACT,DECIMAL,15)
     */
    @ApiModelProperty(value="实际偏差",required=false)
    private BigDecimal weightDiffAct;

    /**
     * 比对秤点(COMPARE_SPOT_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="比对秤点",required=false)
    private String compareSpotName;

    /**
     * 比对时间(COMPARE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="比对时间",required=false)
    private Date compareTime;

    /**
     * 比对结果(0为比对失败，1为未比对，2为比对成功)(COMPARE_RESULT,VARCHAR,2)
     */
    @ApiModelProperty(value="比对结果(0为比对失败，1为未比对，2为比对成功)",required=false)
    private String compareResult;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 备注(MEMO,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.compareResultId;
    }

    @Override
    public void setId(String compareResultId) {
        this.compareResultId = compareResultId == null ? null : compareResultId.trim();
    }

    public String getCompareResultId() {
        return compareResultId;
    }

    public void setCompareResultId(String compareResultId) {
        this.compareResultId = compareResultId == null ? null : compareResultId.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName == null ? null : meterTypeName.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public BigDecimal getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(BigDecimal meterWeight) {
        this.meterWeight = meterWeight;
    }

    public BigDecimal getWeightDiffAllow() {
        return weightDiffAllow;
    }

    public void setWeightDiffAllow(BigDecimal weightDiffAllow) {
        this.weightDiffAllow = weightDiffAllow;
    }

    public BigDecimal getCompareWeight() {
        return compareWeight;
    }

    public void setCompareWeight(BigDecimal compareWeight) {
        this.compareWeight = compareWeight;
    }

    public BigDecimal getWeightDiffAct() {
        return weightDiffAct;
    }

    public void setWeightDiffAct(BigDecimal weightDiffAct) {
        this.weightDiffAct = weightDiffAct;
    }

    public String getCompareSpotName() {
        return compareSpotName;
    }

    public void setCompareSpotName(String compareSpotName) {
        this.compareSpotName = compareSpotName == null ? null : compareSpotName.trim();
    }

    public Date getCompareTime() {
        return compareTime;
    }

    public void setCompareTime(Date compareTime) {
        this.compareTime = compareTime;
    }

    public String getCompareResult() {
        return compareResult;
    }

    public void setCompareResult(String compareResult) {
        this.compareResult = compareResult == null ? null : compareResult.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", compareResultId=").append(compareResultId);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", meterTypeNo=").append(meterTypeNo);
        sb.append(", meterTypeName=").append(meterTypeName);
        sb.append(", carNo=").append(carNo);
        sb.append(", meterWeight=").append(meterWeight);
        sb.append(", weightDiffAllow=").append(weightDiffAllow);
        sb.append(", compareWeight=").append(compareWeight);
        sb.append(", weightDiffAct=").append(weightDiffAct);
        sb.append(", compareSpotName=").append(compareSpotName);
        sb.append(", compareTime=").append(compareTime);
        sb.append(", compareResult=").append(compareResult);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", memo=").append(memo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}